Joomla 3.1.5 and Joomla 2.5.14 Security Releases

security releaseThe Joomla! project has released 2 security releases for its current Joomla 2.5 LTS (long term support) and Joomla 3.1 STS series.

Both Joomla 2.5.14 and Joomla 3.1.5 (why did we go from 3.1.1 to 3.1.5 ?) are security builds that address a critical level security issue.

All Joomla 2.5 and Joomla 3.x websites are higly recommended to upgrade and also all existing Joomla 1.5 websites need to patch their websites.

Community Builder 1.9 works just fine with these new releases.

Facebook Twitter Google LinkedIn